Get Basic Info
GET
/info/basic
const url = 'https://sylve.lan:8181/api/info/basic';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/info/basic \ --header 'Authorization: <Authorization>'Get the basic information about the system
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
bootMode
string
devFSDisabled
boolean
hostname
string
loadAverage
string
os
string
sylveCommit
string
sylveVersion
string
uptime
integer
error
string
message
string
status
string
Examplegenerated
{ "data": { "bootMode": "example", "devFSDisabled": true, "hostname": "example", "loadAverage": "example", "os": "example", "sylveCommit": "example", "sylveVersion": "example", "uptime": 1 }, "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}